%define	name   qjoypad
%define	longname  QJoyPad
%define	version 3.3
%define	release 2mdk

#  backgrounds for systray icons 
# 1 : white
# 3 : black
# 2 & 4 : translucent
%define systrayicon 2

Summary:	%{longname} - Emulate keyboard or mouse actions with a joystick
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://prdownloads.sourceforge.net/qjoypad/%{name}-%{version}.tar.bz2
Source1:	%{name}-16x16.png.bz2
Source2:	%{name}-32x32.png.bz2
Source3:	%{name}-48x48.png.bz2
Group:		System/Kernel and hardware
License:	GPL
URL:		http://qjoypad.sourceforge.net/
BuildRoot:	%_tmppath/%{name}-build
BuildRequires:	qt3-devel

%description
QJoyPad converts input from a gamepad or joystick into keypresses or mouse 
actions, letting you control any X program with your game controller.
It comes with a convenient and easy-to-use interface.

%prep

%setup -n %{name}-%{version}/src
bzcat %{SOURCE1} > %{name}-16x16.png
bzcat %{SOURCE2} > %{name}-32x32.png
bzcat %{SOURCE3} > %{name}-48x48.png

perl -pi -e 's/gamepad1/gamepad%{systrayicon}/' qjoypad.pro
perl -pi -e 's/gamepad1/gamepad%{systrayicon}/' qjoypad.pro

%build
./config --prefix=%{_prefix}
perl -pi -e 's|cd /usr/share/pixmaps/qjoypad|cd  \$(INSTALL_ROOT)/usr/share/pixmaps/qjoypad|' Makefile

%make

%install
%makeinstall INSTALL_ROOT=%{buildroot}

#icon for the systray
install -D -m 644 ../icons/* $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}/

#icons for the menu
install -D -m 644 %{name}-48x48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -D -m 644 %{name}-32x32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{name}-16x16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
	command="%{_bindir}/%{name}"\\
	needs="X11"\\
	section="System/Configuration/Other"\\
	icon="%{name}.png"\\
	title="%{longname}"\\
	longtitle="%{summary}"
EOF

%files
%defattr(-,root,root)
%doc ../README.txt ../INSTALL.txt ../LICENSE.txt
%{_bindir}/%{name}
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}
%{_datadir}/pixmaps/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%changelog
* Fri Jun 18 2004 Guillaume Bedot <littletux@zarb.org> 3.3-2mdk
- Fixed groups.

* Fri Jun 18 2004 Guillaume Bedot <littletux@zarb.org> 3.3-1mdk
- First package
